Makefile.in 40 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029
  1. # Makefile.in generated by automake 1.14.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2013 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
  14. am__make_running_with_option = \
  15. case $${target_option-} in \
  16. ?) ;; \
  17. *) echo "am__make_running_with_option: internal error: invalid" \
  18. "target option '$${target_option-}' specified" >&2; \
  19. exit 1;; \
  20. esac; \
  21. has_opt=no; \
  22. sane_makeflags=$$MAKEFLAGS; \
  23. if $(am__is_gnu_make); then \
  24. sane_makeflags=$$MFLAGS; \
  25. else \
  26. case $$MAKEFLAGS in \
  27. *\\[\ \ ]*) \
  28. bs=\\; \
  29. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  30. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  31. esac; \
  32. fi; \
  33. skip_next=no; \
  34. strip_trailopt () \
  35. { \
  36. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  37. }; \
  38. for flg in $$sane_makeflags; do \
  39. test $$skip_next = yes && { skip_next=no; continue; }; \
  40. case $$flg in \
  41. *=*|--*) continue;; \
  42. -*I) strip_trailopt 'I'; skip_next=yes;; \
  43. -*I?*) strip_trailopt 'I';; \
  44. -*O) strip_trailopt 'O'; skip_next=yes;; \
  45. -*O?*) strip_trailopt 'O';; \
  46. -*l) strip_trailopt 'l'; skip_next=yes;; \
  47. -*l?*) strip_trailopt 'l';; \
  48. -[dEDm]) skip_next=yes;; \
  49. -[JT]) skip_next=yes;; \
  50. esac; \
  51. case $$flg in \
  52. *$$target_option*) has_opt=yes; break;; \
  53. esac; \
  54. done; \
  55. test $$has_opt = yes
  56. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  57. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  58. pkgdatadir = $(datadir)/@PACKAGE@
  59. pkgincludedir = $(includedir)/@PACKAGE@
  60. pkglibdir = $(libdir)/@PACKAGE@
  61. pkglibexecdir = $(libexecdir)/@PACKAGE@
  62. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  63. install_sh_DATA = $(install_sh) -c -m 644
  64. install_sh_PROGRAM = $(install_sh) -c
  65. install_sh_SCRIPT = $(install_sh) -c
  66. INSTALL_HEADER = $(INSTALL_DATA)
  67. transform = $(program_transform_name)
  68. NORMAL_INSTALL = :
  69. PRE_INSTALL = :
  70. POST_INSTALL = :
  71. NORMAL_UNINSTALL = :
  72. PRE_UNINSTALL = :
  73. POST_UNINSTALL = :
  74. build_triplet = @build@
  75. host_triplet = @host@
  76. target_triplet = @target@
  77. subdir = test
  78. DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  79. $(srcdir)/config.in
  80. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  81. am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
  82. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  83. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  84. $(top_srcdir)/libopts/m4/libopts.m4 \
  85. $(top_srcdir)/libopts/m4/stdnoreturn.m4 \
  86. $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
  87. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  88. $(ACLOCAL_M4)
  89. mkinstalldirs = $(install_sh) -d
  90. CONFIG_HEADER = $(top_builddir)/src/config.h
  91. CONFIG_CLEAN_FILES = config
  92. CONFIG_CLEAN_VPATH_FILES =
  93. AM_V_P = $(am__v_P_@AM_V@)
  94. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  95. am__v_P_0 = false
  96. am__v_P_1 = :
  97. AM_V_GEN = $(am__v_GEN_@AM_V@)
  98. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  99. am__v_GEN_0 = @echo " GEN " $@;
  100. am__v_GEN_1 =
  101. AM_V_at = $(am__v_at_@AM_V@)
  102. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  103. am__v_at_0 = @
  104. am__v_at_1 =
  105. SOURCES =
  106. DIST_SOURCES =
  107. am__can_run_installinfo = \
  108. case $$AM_UPDATE_INFO_DIR in \
  109. n|no|NO) false;; \
  110. *) (install-info --version) >/dev/null 2>&1;; \
  111. esac
  112. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  113. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  114. ACLOCAL = @ACLOCAL@
  115. AMTAR = @AMTAR@
  116. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  117. AR = @AR@
  118. AUTOCONF = @AUTOCONF@
  119. AUTOGEN = @AUTOGEN@
  120. AUTOHEADER = @AUTOHEADER@
  121. AUTOMAKE = @AUTOMAKE@
  122. AWK = @AWK@
  123. CC = @CC@
  124. CCDEPMODE = @CCDEPMODE@
  125. CFLAGS = @CFLAGS@
  126. CPP = @CPP@
  127. CPPFLAGS = @CPPFLAGS@
  128. CROSS_ARCH = @CROSS_ARCH@
  129. CROSS_LD = @CROSS_LD@
  130. CUT = @CUT@
  131. CXX = @CXX@
  132. CXXCPP = @CXXCPP@
  133. CXXDEPMODE = @CXXDEPMODE@
  134. CXXFLAGS = @CXXFLAGS@
  135. CYGPATH_W = @CYGPATH_W@
  136. DEFS = @DEFS@
  137. DEPDIR = @DEPDIR@
  138. DLLTOOL = @DLLTOOL@
  139. DMALLOC_LIB = @DMALLOC_LIB@
  140. DSYMUTIL = @DSYMUTIL@
  141. DUMPBIN = @DUMPBIN@
  142. ECHO = @ECHO@
  143. ECHO_C = @ECHO_C@
  144. ECHO_N = @ECHO_N@
  145. ECHO_T = @ECHO_T@
  146. EGREP = @EGREP@
  147. EXEEXT = @EXEEXT@
  148. FGREP = @FGREP@
  149. GREP = @GREP@
  150. GROFF = @GROFF@
  151. INSTALL = @INSTALL@
  152. INSTALL_DATA = @INSTALL_DATA@
  153. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  154. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  155. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  156. LD = @LD@
  157. LDFLAGS = @LDFLAGS@
  158. LDNETINC = @LDNETINC@
  159. LDNETLIB = @LDNETLIB@
  160. LIBOBJS = @LIBOBJS@
  161. LIBOPTS_CFLAGS = @LIBOPTS_CFLAGS@
  162. LIBOPTS_DIR = @LIBOPTS_DIR@
  163. LIBOPTS_LDADD = @LIBOPTS_LDADD@
  164. LIBS = @LIBS@
  165. LIBTOOL = @LIBTOOL@
  166. LIPO = @LIPO@
  167. LNAVLIB = @LNAVLIB@
  168. LNAV_CFLAGS = @LNAV_CFLAGS@
  169. LN_S = @LN_S@
  170. LPCAPINC = @LPCAPINC@
  171. LPCAPLIB = @LPCAPLIB@
  172. LTLIBOBJS = @LTLIBOBJS@
  173. MACOSX_SDK_PATH = @MACOSX_SDK_PATH@
  174. MAINT = @MAINT@
  175. MAKEINFO = @MAKEINFO@
  176. MANIFEST_TOOL = @MANIFEST_TOOL@
  177. MKDIR_P = @MKDIR_P@
  178. NETMAPFLAGS = @NETMAPFLAGS@
  179. NETMAPINC = @NETMAPINC@
  180. NETMAPINCDIR = @NETMAPINCDIR@
  181. NETMAPUSERINC = @NETMAPUSERINC@
  182. NM = @NM@
  183. NMEDIT = @NMEDIT@
  184. OBJDUMP = @OBJDUMP@
  185. OBJEXT = @OBJEXT@
  186. OTOOL = @OTOOL@
  187. OTOOL64 = @OTOOL64@
  188. PACKAGE = @PACKAGE@
  189. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  190. PACKAGE_NAME = @PACKAGE_NAME@
  191. PACKAGE_STRING = @PACKAGE_STRING@
  192. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  193. PACKAGE_URL = @PACKAGE_URL@
  194. PACKAGE_VERSION = @PACKAGE_VERSION@
  195. PATH_SEPARATOR = @PATH_SEPARATOR@
  196. PCAP_BPF_H_FILE = @PCAP_BPF_H_FILE@
  197. PCAP_CONFIG = @PCAP_CONFIG@
  198. POSIX_SHELL = @POSIX_SHELL@
  199. PRINTF = @PRINTF@
  200. RANLIB = @RANLIB@
  201. SED = @SED@
  202. SET_MAKE = @SET_MAKE@
  203. SHELL = @SHELL@
  204. STDNORETURN_H = @STDNORETURN_H@
  205. STRIP = @STRIP@
  206. TCPREPLAY_RELEASE = @TCPREPLAY_RELEASE@
  207. TCPREPLAY_VERSION = @TCPREPLAY_VERSION@
  208. VERSION = @VERSION@
  209. abs_builddir = @abs_builddir@
  210. abs_srcdir = @abs_srcdir@
  211. abs_top_builddir = @abs_top_builddir@
  212. abs_top_srcdir = @abs_top_srcdir@
  213. ac_ct_AR = @ac_ct_AR@
  214. ac_ct_CC = @ac_ct_CC@
  215. ac_ct_CXX = @ac_ct_CXX@
  216. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  217. am__include = @am__include@
  218. am__leading_dot = @am__leading_dot@
  219. am__quote = @am__quote@
  220. am__tar = @am__tar@
  221. am__untar = @am__untar@
  222. bindir = @bindir@
  223. build = @build@
  224. build_alias = @build_alias@
  225. build_cpu = @build_cpu@
  226. build_os = @build_os@
  227. build_vendor = @build_vendor@
  228. builddir = @builddir@
  229. datadir = @datadir@
  230. datarootdir = @datarootdir@
  231. debug_flag = @debug_flag@
  232. debug_run_time_flag = @debug_run_time_flag@
  233. depmod = @depmod@
  234. docdir = @docdir@
  235. dvidir = @dvidir@
  236. exec_prefix = @exec_prefix@
  237. extra_debug_flag = @extra_debug_flag@
  238. host = @host@
  239. host_alias = @host_alias@
  240. host_cpu = @host_cpu@
  241. host_os = @host_os@
  242. host_vendor = @host_vendor@
  243. htmldir = @htmldir@
  244. includedir = @includedir@
  245. infodir = @infodir@
  246. insmod = @insmod@
  247. install_sh = @install_sh@
  248. libdir = @libdir@
  249. libexecdir = @libexecdir@
  250. localedir = @localedir@
  251. localstatedir = @localstatedir@
  252. mandir = @mandir@
  253. mkdir_p = @mkdir_p@
  254. nic1 = @nic1@
  255. nic2 = @nic2@
  256. oldincludedir = @oldincludedir@
  257. pcncfg = @pcncfg@
  258. pdfdir = @pdfdir@
  259. prefix = @prefix@
  260. program_transform_name = @program_transform_name@
  261. psdir = @psdir@
  262. rmmod = @rmmod@
  263. sbindir = @sbindir@
  264. sharedstatedir = @sharedstatedir@
  265. srcdir = @srcdir@
  266. sysconfdir = @sysconfdir@
  267. target = @target@
  268. target_alias = @target_alias@
  269. target_cpu = @target_cpu@
  270. target_os = @target_os@
  271. target_vendor = @target_vendor@
  272. tcpdump_path = @tcpdump_path@
  273. timestamp_trace_flag = @timestamp_trace_flag@
  274. top_build_prefix = @top_build_prefix@
  275. top_builddir = @top_builddir@
  276. top_srcdir = @top_srcdir@
  277. # $Id$
  278. MAKEFLAGS = -s -k
  279. HOST = @host@
  280. TARGET = @target@
  281. BUILD = @build@
  282. ENABLE_DEBUG = @debug_run_time_flag@
  283. TCPPREP = ../src/tcpprep --no-arg-comment
  284. TCPREPLAY = ../src/tcpreplay
  285. TCPREWRITE = ../src/tcprewrite
  286. TCPBRIDGE = ../src/tcpbridge
  287. EXTRA_DIST = test.pcap test.auto_bridge test.auto_client test.auto_router \
  288. test.auto_server test.auto_first test.cidr test.comment test.port test.mac \
  289. test.cidr_reverse test.mac_reverse test.regex_reverse \
  290. test.prep_config test.primary test.regex test.secondary \
  291. test.rewrite_seed test.rewrite_portmap test.rewrite_endpoint \
  292. test.rewrite_pnat test.rewrite_pad test.rewrite_trunc \
  293. test.rewrite_mac test.rewrite_layer2 test.rewrite_config \
  294. test.rewrite_skip test.rewrite_dltuser test.rewrite_dlthdlc \
  295. test.rewrite_vlandel test.rewrite_efcs test.rewrite_1ttl \
  296. test.rewrite_2ttl test.rewrite_3ttl test.rewrite_enet_subsmac \
  297. test.rewrite_mtutrunc test.rewrite_mac_seed \
  298. test.rewrite_mac_seed_keep test.rewrite_l7fuzzing\
  299. test2.rewrite_seed test2.rewrite_portmap test2.rewrite_endpoint \
  300. test2.rewrite_pnat test2.rewrite_pad test2.rewrite_trunc \
  301. test2.rewrite_mac test2.rewrite_layer2 test2.rewrite_config \
  302. test2.rewrite_skip test2.rewrite_dltuser test2.rewrite_dlthdlc \
  303. test2.rewrite_vlandel test2.rewrite_efcs test2.rewrite_1ttl \
  304. test2.rewrite_mtutrunc test2.rewrite_enet_subsmac \
  305. test2.rewrite_2ttl test2.rewrite_3ttl test.rewrite_tos test2.rewrite_tos \
  306. test2.rewrite_enet_subsmac test2.rewrite_mac_seed \
  307. test2.rewrite_mac_seed_keep test2.rewrite_l7fuzzing
  308. @WORDS_BIGENDIAN_FALSE@STANDARD_REWRITE = standard_littleendian
  309. @WORDS_BIGENDIAN_TRUE@STANDARD_REWRITE = standard_bigendian
  310. @WORDS_BIGENDIAN_FALSE@REWRITE_WARN = "little"
  311. @WORDS_BIGENDIAN_TRUE@REWRITE_WARN = "big"
  312. all: all-am
  313. .SUFFIXES:
  314. $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
  315. @for dep in $?; do \
  316. case '$(am__configure_deps)' in \
  317. *$$dep*) \
  318. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  319. && { if test -f $@; then exit 0; else break; fi; }; \
  320. exit 1;; \
  321. esac; \
  322. done; \
  323. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
  324. $(am__cd) $(top_srcdir) && \
  325. $(AUTOMAKE) --foreign test/Makefile
  326. .PRECIOUS: Makefile
  327. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  328. @case '$?' in \
  329. *config.status*) \
  330. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  331. *) \
  332. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  333. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  334. esac;
  335. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  336. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  337. $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  338. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  339. $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  340. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  341. $(am__aclocal_m4_deps):
  342. config: $(top_builddir)/config.status $(srcdir)/config.in
  343. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  344. mostlyclean-libtool:
  345. -rm -f *.lo
  346. clean-libtool:
  347. -rm -rf .libs _libs
  348. tags TAGS:
  349. ctags CTAGS:
  350. cscope cscopelist:
  351. distdir: $(DISTFILES)
  352. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  353. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  354. list='$(DISTFILES)'; \
  355. dist_files=`for file in $$list; do echo $$file; done | \
  356. sed -e "s|^$$srcdirstrip/||;t" \
  357. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  358. case $$dist_files in \
  359. */*) $(MKDIR_P) `echo "$$dist_files" | \
  360. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  361. sort -u` ;; \
  362. esac; \
  363. for file in $$dist_files; do \
  364. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  365. if test -d $$d/$$file; then \
  366. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  367. if test -d "$(distdir)/$$file"; then \
  368. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  369. fi; \
  370. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  371. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  372. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  373. fi; \
  374. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  375. else \
  376. test -f "$(distdir)/$$file" \
  377. || cp -p $$d/$$file "$(distdir)/$$file" \
  378. || exit 1; \
  379. fi; \
  380. done
  381. check-am: all-am
  382. check: check-am
  383. all-am: Makefile
  384. installdirs:
  385. install: install-am
  386. install-exec: install-exec-am
  387. install-data: install-data-am
  388. uninstall: uninstall-am
  389. install-am: all-am
  390. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  391. installcheck: installcheck-am
  392. install-strip:
  393. if test -z '$(STRIP)'; then \
  394. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  395. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  396. install; \
  397. else \
  398. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  399. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  400. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  401. fi
  402. mostlyclean-generic:
  403. clean-generic:
  404. distclean-generic:
  405. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  406. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  407. maintainer-clean-generic:
  408. @echo "This command is intended for maintainers to use"
  409. @echo "it deletes files that may require special tools to rebuild."
  410. clean-am: clean-generic clean-libtool mostlyclean-am
  411. distclean-am: clean-am distclean-generic
  412. dvi: dvi-am
  413. dvi-am:
  414. html: html-am
  415. html-am:
  416. info: info-am
  417. info-am:
  418. install-data-am:
  419. install-dvi: install-dvi-am
  420. install-dvi-am:
  421. install-exec-am:
  422. install-html: install-html-am
  423. install-html-am:
  424. install-info: install-info-am
  425. install-info-am:
  426. install-man:
  427. install-pdf: install-pdf-am
  428. install-pdf-am:
  429. install-ps: install-ps-am
  430. install-ps-am:
  431. installcheck-am:
  432. maintainer-clean-am: distclean-am maintainer-clean-generic
  433. mostlyclean: mostlyclean-am
  434. mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  435. pdf: pdf-am
  436. pdf-am:
  437. ps: ps-am
  438. ps-am:
  439. uninstall-am:
  440. .MAKE: install-am install-strip
  441. .PHONY: all all-am check check-am clean clean-generic clean-libtool \
  442. cscopelist-am ctags-am distclean distclean-generic \
  443. distclean-libtool distdir dvi dvi-am html html-am info info-am \
  444. install install-am install-data install-data-am install-dvi \
  445. install-dvi-am install-exec install-exec-am install-html \
  446. install-html-am install-info install-info-am install-man \
  447. install-pdf install-pdf-am install-ps install-ps-am \
  448. install-strip installcheck installcheck-am installdirs \
  449. maintainer-clean maintainer-clean-generic mostlyclean \
  450. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  451. tags-am uninstall uninstall-am
  452. test: all
  453. all: clearlog check tcpprep tcpreplay tcprewrite
  454. clearlog:
  455. -rm test.log
  456. check:
  457. $(PRINTF) "%s\n" "NOTICE: Tests must be run as root"
  458. $(PRINTF) "%s\n" "Sending traffic on '$(nic1)' and '$(nic2)'"
  459. standard: standard_prep $(STANDARD_REWRITE)
  460. $(PRINTF) "Warning: only creating %s endian standard test files\n" $(REWRITE_WARN)
  461. standard_prep:
  462. $(TCPPREP) -i test.pcap -o test.auto_router -a router
  463. $(TCPPREP) -i test.pcap -o test.auto_bridge -a bridge
  464. $(TCPPREP) -i test.pcap -o test.auto_client -a client
  465. $(TCPPREP) -i test.pcap -o test.auto_server -a server
  466. $(TCPPREP) -i test.pcap -o test.auto_first -a first
  467. $(TCPPREP) --load-opts config -o test.prep_config
  468. $(TCPPREP) -i test.pcap -o test.port -p
  469. $(TCPPREP) -i test.pcap -o test.mac -e 00:02:3b:00:3d:ce
  470. $(TCPPREP) -i test.pcap -o test.cidr -c '216.27.178.0/24'
  471. $(TCPPREP) -i test.pcap -o test.regex -r '216.27.178.*'
  472. $(TCPPREP) -i test.pcap -o test.comment -C "This is a comment" -p
  473. $(TCPPREP) -i test.pcap -o test.mac_reverse -e 00:02:3b:00:3d:ce --reverse
  474. $(TCPPREP) -i test.pcap -o test.cidr_reverse -c '216.27.178.0/24' --reverse
  475. $(TCPPREP) -i test.pcap -o test.regex_reverse -r '216.27.178.*' --reverse
  476. standard_bigendian:
  477. $(TCPREWRITE) -i test.pcap -o test.rewrite_seed -s 55
  478. $(TCPREWRITE) -i test.pcap -o test.rewrite_tos --tos=50
  479. $(TCPREWRITE) -i test.pcap -o test.rewrite_portmap -r 80:8080
  480. $(TCPREWRITE) -i test.pcap -o test.rewrite_endpoint \
  481. -e 10.10.0.1:10.10.0.2 -c test.auto_router
  482. $(TCPREWRITE) -i test.pcap -o test.rewrite_pnat \
  483. -N 216.27.178.0/24:172.16.0.0/24
  484. $(TCPREWRITE) -i test.pcap -o test.rewrite_pad -F pad
  485. $(TCPREWRITE) -i test.pcap -o test.rewrite_trunc -F trunc
  486. $(TCPREWRITE) -i test.pcap -o test.rewrite_mac \
  487. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  488. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  489. $(TCPREWRITE) -i test.pcap -o test.rewrite_enet_subsmac \
  490. --enet-subsmac=00:1f:f3:3c:e1:13,00:22:33:44:55:66 \
  491. --enet-subsmac=f8:1e:df:e5:84:3a,00:66:55:44:33:22
  492. $(TCPREWRITE) -i test.pcap -o test.rewrite_mac_seed --enet-mac-seed=42
  493. $(TCPREWRITE) -i test.pcap -o test.rewrite_mac_seed_keep --enet-mac-seed=42 \
  494. --enet-mac-seed-keep-bytes=3
  495. $(TCPREWRITE) -i test.pcap -o test.rewrite_layer2 \
  496. --dlt=user --user-dlink=00,50,da,5d,46,55,0,7,eb,30,a4,c3,08,0
  497. $(TCPREWRITE) -i test.pcap -o test.rewrite_config --enet-vlan=add --enet-vlan-tag=45 \
  498. --enet-vlan-cfi=1 --enet-vlan-pri=5
  499. $(TCPREWRITE) -i test.pcap -o test.rewrite_skip -b -s 55 \
  500. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  501. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  502. $(TCPREWRITE) -i test.pcap -o test.rewrite_dltuser --dlt=user \
  503. --user-dlink=0x0f,0x00,0x08,0x00 --user-dlt=104
  504. $(TCPREWRITE) -i test.pcap -o test.rewrite_dlthdlc --dlt=hdlc \
  505. --hdlc-control=0 --hdlc-address=0x0F
  506. $(TCPREWRITE) -i test.rewrite_config -o test.rewrite_vlandel \
  507. --enet-vlan=del
  508. $(TCPREWRITE) -i test.pcap -o test.rewrite_efcs --efcs
  509. $(TCPREWRITE) -i test.pcap -o test.rewrite_1ttl --ttl=58
  510. $(TCPREWRITE) -i test.pcap -o test.rewrite_2ttl --ttl=+58
  511. $(TCPREWRITE) -i test.pcap -o test.rewrite_3ttl --ttl=-58
  512. $(TCPREWRITE) -i test.pcap -o test.rewrite_mtutrunc --mtu-trunc --mtu=300
  513. $(TCPREWRITE) -i test.pcap -o test.rewrite_l7fuzzing \
  514. --fuzz-seed=42 --fuzz-factor=2
  515. standard_littleendian:
  516. $(TCPREWRITE) -i test.pcap -o test2.rewrite_seed -s 55
  517. $(TCPREWRITE) -i test.pcap -o test2.rewrite_tos --tos=50
  518. $(TCPREWRITE) -i test.pcap -o test2.rewrite_portmap -r 80:8080
  519. $(TCPREWRITE) -i test.pcap -o test2.rewrite_endpoint \
  520. -e 10.10.0.1:10.10.0.2 -c test.auto_router
  521. $(TCPREWRITE) -i test.pcap -o test2.rewrite_pnat \
  522. -N 216.27.178.0/24:172.16.0.0/24
  523. $(TCPREWRITE) -i test.pcap -o test2.rewrite_pad -F pad
  524. $(TCPREWRITE) -i test.pcap -o test2.rewrite_trunc -F trunc
  525. $(TCPREWRITE) -i test.pcap -o test2.rewrite_mac \
  526. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  527. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  528. $(TCPREWRITE) -i test.pcap -o test2.rewrite_enet_subsmac \
  529. --enet-subsmac=00:1f:f3:3c:e1:13,00:22:33:44:55:66 \
  530. --enet-subsmac=f8:1e:df:e5:84:3a,00:66:55:44:33:22
  531. $(TCPREWRITE) -i test.pcap -o test2.rewrite_mac_seed --enet-mac-seed=42
  532. $(TCPREWRITE) -i test.pcap -o test2.rewrite_mac_seed_keep --enet-mac-seed=42 \
  533. --enet-mac-seed-keep-bytes=3
  534. $(TCPREWRITE) -i test.pcap -o test2.rewrite_layer2 \
  535. --dlt=user --user-dlink=00,50,da,5d,46,55,0,7,eb,30,a4,c3,08,0
  536. $(TCPREWRITE) -i test.pcap -o test2.rewrite_config --enet-vlan=add --enet-vlan-tag=45 \
  537. --enet-vlan-cfi=1 --enet-vlan-pri=5
  538. $(TCPREWRITE) -i test.pcap -o test2.rewrite_skip -b -s 55 \
  539. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  540. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  541. $(TCPREWRITE) -i test.pcap -o test2.rewrite_dltuser --dlt=user \
  542. --user-dlink=0x0f,0x00,0x08,0x00 --user-dlt=104
  543. $(TCPREWRITE) -i test.pcap -o test2.rewrite_dlthdlc --dlt=hdlc \
  544. --hdlc-control=0 --hdlc-address=0x0F
  545. $(TCPREWRITE) -i test.rewrite_config -o test2.rewrite_vlandel \
  546. --enet-vlan=del
  547. $(TCPREWRITE) -i test.pcap -o test2.rewrite_efcs --efcs
  548. $(TCPREWRITE) -i test.pcap -o test2.rewrite_1ttl --ttl=58
  549. $(TCPREWRITE) -i test.pcap -o test2.rewrite_2ttl --ttl=+58
  550. $(TCPREWRITE) -i test.pcap -o test2.rewrite_3ttl --ttl=-58
  551. $(TCPREWRITE) -i test.pcap -o test2.rewrite_mtutrunc --mtu-trunc --mtu=300
  552. $(TCPREWRITE) -i test.pcap -o test2.rewrite_l7fuzzing \
  553. --fuzz-seed=42 --fuzz-factor=2
  554. tcpprep: auto_router auto_bridge auto_client auto_server auto_first cidr regex \
  555. port mac comment print_info print_comment prep_config \
  556. mac_reverse cidr_reverse regex_reverse
  557. tcprewrite: rewrite_portmap rewrite_endpoint rewrite_pnat rewrite_trunc \
  558. rewrite_pad rewrite_seed rewrite_mac rewrite_layer2 rewrite_config \
  559. rewrite_skip rewrite_dltuser rewrite_dlthdlc rewrite_vlandel rewrite_efcs \
  560. rewrite_1ttl rewrite_2ttl rewrite_3ttl rewrite_tos rewrite_mtutrunc \
  561. rewrite_enet_subsmac rewrite_mac_seed rewrite_mac_seed_keep rewrite_l7fuzzing
  562. tcpreplay: replay_basic replay_cache replay_pps replay_rate replay_top \
  563. replay_config replay_multi replay_pps_multi replay_precache \
  564. replay_stats replay_dualfile replay_maxsleep
  565. prep_config:
  566. $(PRINTF) "%s" "[tcpprep] Config mode test: "
  567. $(PRINTF) "%s\n" "*** [tcpprep] Config mode test: " >>test.log
  568. $(TCPPREP) $(ENABLE_DEBUG) --load-opts=config -o test.$@1 >>test.log 2>&1
  569. diff test.$@ test.$@1 >>test.log 2>&1
  570. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  571. auto_router:
  572. $(PRINTF) "%s" "[tcpprep] Auto/Router mode test: "
  573. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Router mode test: " >>test.log
  574. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a router >>test.log 2>&1
  575. diff test.$@ test.$@1 >>test.log 2>&1
  576. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  577. auto_bridge:
  578. $(PRINTF) "%s" "[tcpprep] Auto/Bridge mode test: "
  579. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Bridge mode test: " >>test.log
  580. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a bridge >>test.log 2>&1
  581. diff test.$@ test.$@1 >>test.log 2>&1
  582. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  583. auto_client:
  584. $(PRINTF) "%s" "[tcpprep] Auto/Client mode test: "
  585. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Client mode test: " >>test.log
  586. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a client >>test.log 2>&1
  587. diff test.$@ test.$@1 >>test.log 2>&1
  588. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  589. auto_server:
  590. $(PRINTF) "%s" "[tcpprep] Auto/Server mode test: "
  591. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Server mode test: " >>test.log
  592. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a server >>test.log 2>&1
  593. diff test.$@ test.$@1 >>test.log 2>&1
  594. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  595. auto_first:
  596. $(PRINTF) "%s" "[tcpprep] Auto/First mode test: "
  597. $(PRINTF) "%s\n" "*** [tcpprep] Auto/First mode test: " >>test.log
  598. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a first >>test.log 2>&1
  599. diff test.$@ test.$@1 >>test.log 2>&1
  600. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  601. regex:
  602. $(PRINTF) "%s" "[tcpprep] Regex mode test: "
  603. $(PRINTF) "%s\n" "*** [tcpprep] Regex mode test: " >>test.log
  604. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -r '216.27.178.*' >>test.log 2>&1
  605. diff test.$@ test.$@1 >>test.log 2>&1
  606. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  607. cidr:
  608. $(PRINTF) "%s" "[tcpprep] CIDR mode test: "
  609. $(PRINTF) "%s\n" "*** [tcpprep] CIDR mode test: " >>test.log
  610. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -c '216.27.178.0/24' >>test.log 2>&1
  611. diff test.$@ test.$@1 >>test.log 2>&1
  612. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  613. port:
  614. $(PRINTF) "%s" "[tcpprep] Port mode test: "
  615. $(PRINTF) "%s\n" "*** [tcpprep] Port mode test: " >>test.log
  616. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -p >>test.log 2>&1
  617. diff test.$@ test.$@1 >>test.log 2>&1
  618. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  619. mac:
  620. $(PRINTF) "%s" "[tcpprep] MAC mode test: "
  621. $(PRINTF) "%s\n" "*** [tcpprep] MAC mode test: " >>test.log
  622. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -e 00:02:3b:00:3d:ce >>test.log 2>&1
  623. diff test.$@ test.$@1 >>test.log 2>&1
  624. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  625. comment:
  626. $(PRINTF) "%s" "[tcpprep] Comment mode test: "
  627. $(PRINTF) "%s\n" "*** [tcpprep] Comment mode test: " >>test.log
  628. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -C "This is a comment" -p >>test.log 2>&1
  629. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  630. print_comment:
  631. $(PRINTF) "%s" "[tcpprep] Print comment mode test: "
  632. $(PRINTF) "%s\n" "*** [tcpprep] Print comment mode test: " >>test.log
  633. $(TCPPREP) $(ENABLE_DEBUG) -P test.comment >test.$@1 >>test.log 2>&1
  634. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  635. print_info:
  636. $(PRINTF) "%s" "[tcpprep] Print info mode test: "
  637. $(PRINTF) "%s\n" "*** [tcpprep] Print info mode test: " >>test.log
  638. $(TCPPREP) $(ENABLE_DEBUG) -I test.comment >test.$@1 >>test.log 2>&1
  639. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  640. regex_reverse:
  641. $(PRINTF) "%s" "[tcpprep] Regex reverse mode test: "
  642. $(PRINTF) "%s\n" "*** [tcpprep] Regex reverse mode test: " >>test.log
  643. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -r '216.27.178.*' --reverse >>test.log 2>&1
  644. diff test.$@ test.$@1 >>test.log 2>&1
  645. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  646. cidr_reverse:
  647. $(PRINTF) "%s" "[tcpprep] CIDR reverse mode test: "
  648. $(PRINTF) "%s\n" "*** [tcpprep] CIDR reverse mode test: " >>test.log
  649. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -c '216.27.178.0/24' --reverse >>test.log 2>&1
  650. diff test.$@ test.$@1 >>test.log 2>&1
  651. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  652. mac_reverse:
  653. $(PRINTF) "%s" "[tcpprep] MAC reverse mode test: "
  654. $(PRINTF) "%s\n" "*** [tcpprep] MAC reverse mode test: " >>test.log
  655. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -e 00:02:3b:00:3d:ce --reverse >>test.log 2>&1
  656. diff test.$@ test.$@1 >>test.log 2>&1
  657. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  658. replay_basic:
  659. $(PRINTF) "%s" "[tcpreplay] Basic test: "
  660. $(PRINTF) "%s\n" "*** [tcpreplay] Basic test: " >>test.log
  661. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -t test.pcap >>test.log 2>&1
  662. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  663. replay_cache:
  664. $(PRINTF) "%s" "[tcpreplay] Cache test: "
  665. $(PRINTF) "%s\n" "*** [tcpreplay] Cache test: " >>test.log
  666. $(TCPREPLAY) $(ENABLE_DEBUG) -c test.cidr -i $(nic1) -I $(nic2) -t test.pcap >>test.log 2>&1
  667. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  668. replay_accurate:
  669. $(PRINTF) "%s" "[tcpreplay] Accurate test: "
  670. $(PRINTF) "%s\n" "*** [tcpreplay] Accurate test: " >>test.log
  671. $(TCPREPLAY) $(ENABLE_DEBUG) -a -i $(nic1) test.pcap >>test.log 2>&1
  672. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  673. replay_stats:
  674. $(PRINTF) "%s" "[tcpreplay] Statistics test: "
  675. $(PRINTF) "%s\n" "*** [tcpreplay] Statistics test: " >>test.log
  676. $(TCPREPLAY) $(ENABLE_DEBUG) --stats=1 -i $(nic1) test.pcap >>test.log 2>&1
  677. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  678. rewrite_portmap:
  679. $(PRINTF) "%s" "[tcprewrite] Portmap test: "
  680. $(PRINTF) "%s\n" "*** [tcprewrite] Portmap test: " >>test.log
  681. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -r 80:8080 >>test.log 2>&1
  682. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  683. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  684. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  685. rewrite_endpoint:
  686. $(PRINTF) "%s" "[tcprewrite] Endpoint test: "
  687. $(PRINTF) "%s\n" "*** [tcprewrite] Endpoint test: " >>test.log
  688. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -e 10.10.0.1:10.10.0.2 \
  689. -c test.auto_router >>test.log 2>&1
  690. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  691. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  692. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  693. rewrite_pnat:
  694. $(PRINTF) "%s" "[tcprewrite] Pseudo NAT test: "
  695. $(PRINTF) "%s\n" "*** [tcprewrite] Pseudo NAT test: " >>test.log
  696. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 \
  697. -N 216.27.178.0/24:172.16.0.0/24 >>test.log 2>&1
  698. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  699. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  700. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  701. rewrite_mac:
  702. $(PRINTF) "%s" "[tcprewrite] Src/Dst MAC test: "
  703. $(PRINTF) "%s\n" "*** [tcprewrite] Src/Dst MAC test: " >>test.log
  704. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 \
  705. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  706. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router >>test.log 2>&1
  707. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  708. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  709. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  710. rewrite_enet_subsmac:
  711. $(PRINTF) "%s" "[tcprewrite] Substitute Src/Dst MAC test: "
  712. $(PRINTF) "%s\n" "*** [tcprewrite] Substitute Src/Dst MAC test: " >>test.log
  713. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 \
  714. --enet-subsmac=00:1f:f3:3c:e1:13,00:22:33:44:55:66 \
  715. --enet-subsmac=f8:1e:df:e5:84:3a,00:66:55:44:33:22 >>test.log 2>&1
  716. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  717. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  718. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  719. rewrite_mac_seed:
  720. $(PRINTF) "%s" "[tcprewrite] Seeded MAC test: "
  721. $(PRINTF) "%s\n" "*** [tcprewrite] Seeded MAC test: " >>test.log
  722. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 \
  723. --enet-mac-seed=42 >>test.log 2>&1
  724. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  725. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  726. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  727. rewrite_mac_seed_keep:
  728. $(PRINTF) "%s" "[tcprewrite] Seeded Keep MAC test: "
  729. $(PRINTF) "%s\n" "*** [tcprewrite] Seeded Keep MAC test: " >>test.log
  730. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 \
  731. --enet-mac-seed=42 --enet-mac-seed-keep-bytes=3 >>test.log 2>&1
  732. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  733. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  734. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  735. rewrite_trunc:
  736. $(PRINTF) "%s" "[tcprewrite] Truncate test: "
  737. $(PRINTF) "%s\n" "*** [tcprewrite] Truncate test: " >>test.log
  738. $(TCPREWRITE) $(ENABLE_DEBUG) -F trunc -i test.pcap -o test.$@1 >>test.log 2>&1
  739. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  740. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  741. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  742. rewrite_pad:
  743. $(PRINTF) "%s" "[tcprewrite] Pad test: "
  744. $(PRINTF) "%s\n" "*** [tcprewrite] Pad test: " >>test.log
  745. $(TCPREWRITE) $(ENABLE_DEBUG) -F pad -i test.pcap -o test.$@1 >>test.log 2>&1
  746. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  747. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  748. if [ $? ] ; then $(PRINTF) "\t\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t\t%s\n" "OK"; fi
  749. rewrite_seed:
  750. $(PRINTF) "%s" "[tcprewrite] Seed IP test: "
  751. $(PRINTF) "%s\n" "*** [tcprewrite] Seed IP test: " >>test.log
  752. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -s 55 >>test.log 2>&1
  753. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  754. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  755. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  756. rewrite_layer2:
  757. $(PRINTF) "%s" "[tcprewrite] Layer2 test: "
  758. $(PRINTF) "%s\n" "*** [tcprewrite] Layer2 test: " >>test.log
  759. $(TCPREWRITE) $(ENABLE_DEBUG) --dlt=user --user-dlink=00,50,da,5d,46,55,0,7,eb,30,a4,c3,08,0 \
  760. -i test.pcap -o test.$@1 >>test.log 2>&1
  761. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  762. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  763. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  764. rewrite_config:
  765. $(PRINTF) "%s" "[tcprewrite] Config/VLAN Add test: "
  766. $(PRINTF) "%s\n" "*** [tcprewrite] Config/VLAN Add test: " >>test.log
  767. $(TCPREWRITE) $(ENABLE_DEBUG) --load-opts config >>test.log 2>&1
  768. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  769. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  770. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  771. rewrite_skip:
  772. $(PRINTF) "%s" "[tcprewrite] Skip bcast test: "
  773. $(PRINTF) "%s\n" "*** [tcprewrite] Skip bcast test: " >>test.log
  774. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -b -s 55 \
  775. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  776. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router >>test.log 2>&1
  777. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  778. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  779. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  780. rewrite_dltuser:
  781. $(PRINTF) "%s" "[tcprewrite] DLT User test: "
  782. $(PRINTF) "%s\n" "*** [tcprewrite] DLT User test: " >>test.log
  783. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 --dlt=user \
  784. --user-dlink=0x0f,0x00,0x08,0x00 --user-dlt=104 >>test.log 2>&1
  785. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  786. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  787. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  788. rewrite_dlthdlc:
  789. $(PRINTF) "%s" "[tcprewrite] DLT Cisco HDLC test: "
  790. $(PRINTF) "%s\n" "*** [tcprewrite] DLT Cisco HDLC test: " >>test.log
  791. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 --dlt=hdlc \
  792. --hdlc-control=0 --hdlc-address=0x0F >>test.log 2>&1
  793. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  794. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  795. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  796. rewrite_vlandel:
  797. $(PRINTF) "%s" "[tcprewrite] VLAN Delete test: "
  798. $(PRINTF) "%s\n" "*** [tcprewrite] VLAN Delete test: " >>test.log
  799. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.rewrite_config -o test.$@1 \
  800. --enet-vlan=del >>test.log 2>&1
  801. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  802. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  803. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  804. rewrite_efcs:
  805. $(PRINTF) "%s" "[tcprewrite] Remove EFCS: "
  806. $(PRINTF) "%s\n" "*** [tcprewrite] Remove EFCS: " >>test.log
  807. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 --efcs >>test.log 2>&1
  808. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  809. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  810. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  811. rewrite_1ttl:
  812. $(PRINTF) "%s" "[tcprewrite] Force TTL: "
  813. $(PRINTF) "%s\n" "*** [tcprewrite] Force TTL: " >>test.log
  814. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 --ttl=58 >>test.log 2>&1
  815. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  816. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  817. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  818. rewrite_2ttl:
  819. $(PRINTF) "%s" "[tcprewrite] Increase TTL: "
  820. $(PRINTF) "%s\n" "*** [tcprewrite] Increase TTL: " >>test.log
  821. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 --ttl=+58 >>test.log 2>&1
  822. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  823. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  824. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  825. rewrite_3ttl:
  826. $(PRINTF) "%s" "[tcprewrite] Reduce TTL: "
  827. $(PRINTF) "%s\n" "*** [tcprewrite] Reduce TTL: " >>test.log
  828. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 --ttl=-58 >>test.log 2>&1
  829. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  830. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  831. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  832. rewrite_tos:
  833. $(PRINTF) "%s" "[tcprewrite] TOS test: "
  834. $(PRINTF) "%s\n" "*** [tcprewrite] TOS test: " >>test.log
  835. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 --tos=50 >>test.log 2>&1
  836. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  837. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  838. if [ $? ] ; then $(PRINTF) "\t\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t\t%s\n" "OK"; fi
  839. rewrite_mtutrunc:
  840. $(PRINTF) "%s" "[tcprewrite] MTU Truncate test: "
  841. $(PRINTF) "%s\n" "*** [tcprewrite] MTU Truncate test: " >>test.log
  842. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 --mtu-trunc --mtu=300 >>test.log 2>&1
  843. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  844. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  845. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  846. rewrite_l7fuzzing:
  847. $(PRINTF) "%s" "[tcprewrite] L7 fuzzing test: "
  848. $(PRINTF) "%s\n" "*** [tcprewrite] L7 fuzzing test: " >>test.log
  849. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 --fuzz-seed=42 >>test.log 2>&1
  850. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  851. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  852. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  853. replay_pps:
  854. $(PRINTF) "%s" "[tcpreplay] Packets/sec test: "
  855. $(PRINTF) "%s\n" "*** [tcpreplay] Packets/sec test: " >>test.log
  856. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -p 25 test.pcap >>test.log 2>&1
  857. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  858. replay_rate:
  859. $(PRINTF) "%s" "[tcpreplay] Mbps test: "
  860. $(PRINTF) "%s\n" "*** [tcpreplay] Mbps test: " >>test.log
  861. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -M 25.0 test.pcap >>test.log 2>&1
  862. if [ $? ] ; then $(PRINTF) "\t\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t\t%s\n" "OK"; fi
  863. replay_multi:
  864. $(PRINTF) "%s" "[tcpreplay] Multiplier test: "
  865. $(PRINTF) "%s\n" "*** [tcpreplay] Multiplier test: " >>test.log
  866. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -x 25.0 test.pcap >>test.log 2>&1
  867. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  868. replay_pps_multi:
  869. $(PRINTF) "%s" "[tcpreplay] Packets/sec Multiplier test: "
  870. $(PRINTF) "%s\n" "*** [tcpreplay] Packets/sec Multiplier test: " >>test.log
  871. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -p 100 --pps-multi=5 test.pcap >>test.log 2>&1
  872. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  873. replay_top:
  874. $(PRINTF) "%s" "[tcpreplay] Topspeed test: "
  875. $(PRINTF) "%s\n" "*** [tcpreplay] Topspeed test: " >>test.log
  876. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -t test.pcap >>test.log 2>&1
  877. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  878. replay_precache:
  879. $(PRINTF) "%s" "[tcpreplay] Precache test: "
  880. $(PRINTF) "%s\n" "*** [tcpreplay] Precache test: " >>test.log
  881. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) --preload-pcap test.pcap >>test.log 2>&1
  882. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  883. datadump_mode:
  884. $(PRINTF) "%s" "[tcpreplay] Data dump test: "
  885. $(PRINTF) "%s\n" "*** [tcpreplay] Data dump mode test: " >>test.log
  886. $(TCPREPLAY) $(ENABLE_DEBUG) -D -i $(nic1) -I $(nic2) -w primary.data -W secondary.data -c test.cidr -R test.pcap >>test.log 2>&1
  887. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  888. replay_config:
  889. $(PRINTF) "%s" "[tcpreplay] Config file/VLAN add test: "
  890. $(PRINTF) "%s\n" "*** [tcpreplay] Config file/VLAN add test: " >>test.log
  891. $(TCPREPLAY) $(ENABLE_DEBUG) --load-opts=config test.pcap >>test.log 2>&1
  892. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  893. replay_dualfile:
  894. $(PRINTF) "%s" "[tcpreplay] Dual file test: "
  895. $(PRINTF) "%s\n" "*** [tcpreplay] Dual file test: " >>test.log
  896. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -I $(nic2) --dualfile test.pcap test.pcap >>test.log 2>&1
  897. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  898. replay_maxsleep:
  899. $(PRINTF) "%s" "[tcpreplay] Maximum sleep test: "
  900. $(PRINTF) "%s\n" "*** [tcpreplay] Maximum sleep test: " >>test.log
  901. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) --maxsleep=20 test.pcap test.pcap >>test.log 2>&1
  902. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  903. clean:
  904. rm -f *1 test.log core* *~ primary.data secondary.data
  905. distclean: clean
  906. rm -f Makefile config
  907. maintainer-clean: distclean
  908. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  909. # Otherwise a system limit (for SysV at least) may be exceeded.
  910. .NOEXPORT: